%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-oauth-sign
Version:             0.8.1
Release:             1
Summary:             OAuth1 signing for Node.js
License:             ASL 2.0
URL:                 https://github.com/mikeal/oauth-sign
Source0:             https://registry.npmjs.org/oauth-sign/-/oauth-sign-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/oauth-sign
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/oauth-sign
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%__nodejs test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/oauth-sign

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 0.8.1-1
- Package init
